#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x90,0x4D,0xE9,0x2A,0x95,0x5E,0x53,0x84,0xBA,0x26,0xB4,0xCF,
		0x49,0x00,0x9E,0x80,0xD5,0x36,0x9B,0xC9,0xD8,0x6C,0x7D,0x04,
		0x15,0x01,0x19,0xE6,0x3E,0xBA,0x5C,0xD7,0xCF,0x90,0xDD,0x3F,
		0xC1,0x85,0xFC,0xF3,0x9E,0x9D,0xDD,0x9E,0x7C,0x3E,0x8D,0xE8,
		0xCF,0x95,0xA5,0x75,0x76,0x7D,0xE9,0xB4,0x59,0xDF,0x49,0xFD,
		0xA4,0xD1,0x03,0x63,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
